sbaz(1)

NAME

sbaz - Scala package sharing tool for the Scala 2 language

SYNOPSIS

sbaz [ <global_options> ] <command> [ <command_options> ]

PARAMETERS

<global_options>
    Command line options. See OPTIONS below.

<command>
    Internal sbaz command.

<command_options>
    sbaz command options.

DESCRIPTION

The sbaz tool is a system used by Scala enthusiasts to share computer files with each other. In particular, it makes it easy to share libraries and applications.

OPTIONS

The sbaz tool has a set of standard options that are supported on the current development environment and will be supported in future releases.

  Global Options

-d <dir>
    Operate on dir as the local managed directory.

-n | --dryrun
    Do not actually do anything. Only print out what tool would normally do with the following arguments.

-v | --verbose
    Output messages about what the sbaz tool is doing

-version
    Display the version information

--univ <name>
    Operate on the named remote universe, selected from those in the local managed directory's universe. Affects the share and retract commands.

--univ-url <url>
    Operate on the universe at the specified URL. Affects the share and retract commands.

  Available Commands

available
    List the available packages for installation; only display the three most recent versions of each package.

available -a
    List the available packages for installation; display all shared versions of each package.

compact
    Clear the download cache to save space.

help
    Display a help message.

install
    Install a package.

installed
    List the packages that are installed.

keycreate
    Request that a new key be created.

keyforget
    Forget the specified key.

keyknown
    List all known keys.

keyremember
    Remember the specified key for future use.

keyremoteknown
    List all keys known to the bazaar server.

keyrevoke
    Request that a specified key be revoked.

pack <name> <directory> [ <options> ]
    Create an sbaz package and, if a link base is specified, an advertisement file. The package file is named name-version.sbp. The advertisement file is named name-version.advert. The URL is the advertisement file is the URL base with the package filename appended.

remove
    Remove a package.

retract
    Retract a previously shared package.

setuniverse
    Set the universe for a directory.

setup
    Initialize a directory to be managed.

share <filename>
    Share a package advertisement on a bazaar.

share -i <descriptor>
    The package advertisement is usually specified in a file, but it may also be specified on the command line with the -i option.

share --template
    If --template is specified, then instead of uploading a description, the command prints out a template of a package advertisement.

show
    Show information about one package.

update
    Update the list of available packages.

upgrade
    Upgrade all possible packages.

EXAMPLES

Update the list of available packages.
    sbaz update

Upload package description for scala-devel-2.5.1 to the universe
    sbaz share scala-devel-2.5.1.advert

EXIT STATUS

sbaz returns a zero exist status if it succeeds to process the specified input files. Non zero is returned in case of failure.

AUTHOR

Written by Lex Spoon.

REPORTING BUGS

Report bugs to http://lampsvn.epfl.ch/trac/scala.

COPYRIGHT

This is open-source software, available to you under a BSD-like license. See accomponying "copyright" or "LICENSE" file for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO

fsc(1), scala(1), scalac(1), scaladoc(1), scalap(1)